## faumachine 20180503

=== doc/DesignNotes/Makefile ===
#
# Copyright (C) 2002-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

PDF=hostsupport.pdf internals.pdf justintime.pdf

all: $(PDF)

clean distclean::
	rm -rf $(PDF)

%.pdf: %.tex
	pdflatex $*.tex < /dev/null
	pdflatex $*.tex < /dev/null
	rm -f $*.aux
	rm -f $*.log
	rm -f $*.toc
clean distclean::
	for file in *.tex ; do \
		rm -f `basename $${file} .tex`.pdf; \
	done

%.png: %.dia
	dia --export $*.png --filter png -s 1024 $*.dia
clean distclean::
	for file in *.dia ; do \
		rm -f `basename $${file} .dia`.png; \
	done

internals.pdf: internals.tex \
		simple.png \
		shadow.png \
		socket.png \
		architecture.png \
		mb_ga_686dlx.png

=== experiments/CDROM.images/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

%-A: %
	ln -sf $< $@

%-B: %
	ln -sf $< $@


CDROM_IMAGES_SRC_DIR:=$(dir $(lastword $(MAKEFILE_LIST)))

# -------
# Caldera
# -------

Caldera-2.4-CD-1: copy_or_link
	./copy_or_link Caldera-2.4/cd-1 $@
distclean::
	rm -f Caldera-2.4-CD-1


# ------
# Debian
# ------

# Debian-2.0r0

Debian-2.0r0-CD-1: copy_or_link
	./copy_or_link Debian-2.0r0/debian-2.0r0-i386-binary-1.iso Debian-2.0r0-CD-1
distclean::
	rm -f Debian-2.0r0-CD-1

# Debian-3.0r0

Debian-3.0r0-CD-1: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-1_NONUS.iso Debian-3.0r0-CD-1
distclean::
	rm -f Debian-3.0r0-CD-1
Debian-3.0r0-CD-2: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-2.iso Debian-3.0r0-CD-2
distclean::
	rm -f Debian-3.0r0-CD-2
Debian-3.0r0-CD-3: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-3.iso Debian-3.0r0-CD-3
distclean::
	rm -f Debian-3.0r0-CD-3
Debian-3.0r0-CD-4: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-4.iso Debian-3.0r0-CD-4
distclean::
	rm -f Debian-3.0r0-CD-4
Debian-3.0r0-CD-5: copy_or_link
	./copy_or_link Debian-3.0r0/debian-30r0-i386-binary-5.iso Debian-3.0r0-CD-5
distclean::
	rm -f Debian-3.0r0-CD-5

# Debian-3.0r1

Debian-3.0r1-CD-1: copy_or_link
	./copy_or_link Debian-3.0r1/debian-30r1-i386-binary-1_NONUS.iso Debian-3.0r1-CD-1
distclean::
	rm -f Debian-3.0r1-CD-1
Debian-3.0r1-CD-2: copy_or_link
	./copy_or_link Debian-3.0r1/debian-30r1-i386-binary-2.iso Debian-3.0r1-CD-2
distclean::
	rm -f Debian-3.0r1-CD-2

# Debian-3.1r0a

Debian-3.1r0a-CD-1: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-1.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-1
Debian-3.1r0a-amd64-CD-1: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-amd64-binary-1.iso $@
distclean::
	rm -f Debian-3.1r0a-amd64-CD-1
Debian-3.1r0a-CD-2: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-2.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-2
Debian-3.1r0a-amd64-CD-2: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-amd64-binary-2.iso $@
distclean::
	rm -f Debian-3.1r0a-amd64-CD-2
Debian-3.1r0a-CD-3: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-3.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-3
Debian-3.1r0a-CD-4: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-4.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-4
Debian-3.1r0a-CD-5: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-5.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-5
Debian-3.1r0a-CD-6: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-6.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-6
Debian-3.1r0a-CD-7: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-7.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-7
Debian-3.1r0a-CD-8: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-i386-binary-8.iso $@
distclean::
	rm -f Debian-3.1r0a-CD-8

Debian-3.1r0a-x86_64-DVD-1: copy_or_link
	./copy_or_link Debian-3.1r0a/debian-31r0a-amd64-binary-1.iso $@
distclean::
	rm -f Debian-3.1r0a-x86_64-DVD-1

# Debian-4.0r0

Debian-4.0r0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r0/debian-40r0-i386-DVD-1.iso Debian-4.0r0-i386-DVD-1
distclean::
	rm -f Debian-4.0r0-i386-DVD-1

Debian-4.0r0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r0/debian-40r0-amd64-DVD-1.iso Debian-4.0r0-amd64-DVD-1
distclean::
	rm -f Debian-4.0r0-amd64-DVD-1

Debian-4.0r4a-i386-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-i386-DVD-1.iso Debian-4.0r4a-i386-DVD-1
distclean::
	rm -f Debian-4.0r4a-i386-DVD-1

Debian-4.0r4a-i386-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-i386-DVD-2.iso Debian-4.0r4a-i386-DVD-2
distclean::
	rm -f Debian-4.0r4a-i386-DVD-2

Debian-4.0r4a-i386-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-i386-DVD-3.iso Debian-4.0r4a-i386-DVD-3
distclean::
	rm -f Debian-4.0r4a-i386-DVD-3

Debian-4.0r4a-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-amd64-DVD-1.iso Debian-4.0r4a-amd64-DVD-1
distclean::
	rm -f Debian-4.0r4a-amd64-DVD-1

Debian-4.0r4a-amd64-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-amd64-DVD-2.iso Debian-4.0r4a-amd64-DVD-2
distclean::
	rm -f Debian-4.0r4a-amd64-DVD-2

Debian-4.0r4a-amd64-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r4a/debian-40r4a-amd64-DVD-3.iso Debian-4.0r4a-amd64-DVD-3
distclean::
	rm -f Debian-4.0r4a-amd64-DVD-3

Debian-4.0r6-i386-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-i386-DVD-1.iso $@
distclean::
	rm -f Debian-4.0r6-i386-DVD-1

Debian-4.0r6-i386-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-i386-DVD-2.iso $@
distclean::
	rm -f Debian-4.0r6-i386-DVD-2

Debian-4.0r6-i386-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-i386-DVD-3.iso $@
distclean::
	rm -f Debian-4.0r6-i386-DVD-3

Debian-4.0r6-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-4.0r6-amd64-DVD-1

Debian-4.0r6-amd64-DVD-2: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-amd64-DVD-2.iso $@
distclean::
	rm -f Debian-4.0r6-amd64-DVD-2

Debian-4.0r6-amd64-DVD-3: copy_or_link
	./copy_or_link Debian-4.0r6/debian-40r6-amd64-DVD-3.iso $@
distclean::
	rm -f Debian-4.0r6-amd64-DVD-3

# Debian-5.0r0

Debian-5.0r0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-1.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-1

Debian-5.0r0-i386-DVD-2: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-2.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-2

Debian-5.0r0-i386-DVD-3: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-3.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-3

Debian-5.0r0-i386-DVD-4: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-4.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-4

Debian-5.0r0-i386-DVD-5: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-i386-DVD-5.iso $@
distclean::
	rm -f Debian-5.0r0-i386-DVD-5

Debian-5.0r0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-1

Debian-5.0r0-amd64-DVD-2: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-2.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-2

Debian-5.0r0-amd64-DVD-3: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-3.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-3

Debian-5.0r0-amd64-DVD-4: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-4.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-4

Debian-5.0r0-amd64-DVD-5: copy_or_link
	./copy_or_link Debian-5.0r0/debian-500-amd64-DVD-5.iso $@
distclean::
	rm -f Debian-5.0r0-amd64-DVD-5

# Debian-6.0r0

Debian-6.0r0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-6.0/debian-6.0.7-i386-DVD-1.iso $@
distclean::
	rm -f Debian-6.0r0-i386-DVD-1

Debian-6.0r0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-6.0/debian-6.0.7-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-6.0r0-amd64-DVD-1

# Debian-7.0r0

Debian-7.0r0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-7.0/debian-7.0.0-i386-DVD-1.iso $@
distclean::
	rm -f Debian-7.0r0-i386-DVD-1

Debian-7.0r0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-7.0/debian-7.0.0-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-7.0r0-amd64-DVD-1

Debian-9.0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-9.0/debian-testing-i386-DVD-1.iso $@
distclean::
	rm -f Debian-9.0-i386-DVD-1

Debian-9.0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-9.0/debian-testing-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-9.0-amd64-DVD-1

# Debian-9.3.0

Debian-9.3.0-i386-DVD-1: copy_or_link
	./copy_or_link Debian-9.3.0/debian-9.3.0-i386-DVD-1.iso $@
distclean::
	rm -f Debian-9.3.0-i386-DVD-1

Debian-9.3.0-amd64-DVD-1: copy_or_link
	./copy_or_link Debian-9.3.0/debian-9.3.0-amd64-DVD-1.iso $@
distclean::
	rm -f Debian-9.3.0-amd64-DVD-1

# -----------
# Fedora Core
# -----------

# FedoraCore-3
FedoraCore-3-DVD-1: copy_or_link
	./copy_or_link FedoraCore-3/FC3-i386-DVD.iso FedoraCore-3-DVD-1
distclean::
	rm -f FedoraCore-3-DVD-1

# FedoraCore-4
FedoraCore-4-DVD-1: copy_or_link
	./copy_or_link FedoraCore-4/FC4-i386-DVD.iso FedoraCore-4-DVD-1
distclean::
	rm -f FedoraCore-4-DVD-1

# FedoraCore-5
FedoraCore-5-DVD-1: copy_or_link
	./copy_or_link FedoraCore-5/FC-5-i386-DVD.iso FedoraCore-5-DVD-1
distclean::
	rm -f FedoraCore-5-DVD-1

Fedora-9-i386-DVD: copy_or_link
	./copy_or_link Fedora-9/Fedora-9-i386-DVD.iso Fedora-9-i386-DVD
distclean::
	rm -f Fedora-9-i386-DVD

Fedora-9-x86_64-DVD: copy_or_link
	./copy_or_link Fedora-9/Fedora-9-x86_64-DVD.iso Fedora-9-x86_64-DVD
distclean::
	rm -f Fedora-9-x86_64-DVD

Fedora-10-i386-DVD: copy_or_link
	./copy_or_link Fedora-10/Fedora-10-i386-DVD.iso Fedora-10-i386-DVD
distclean::
	rm -f Fedora-10-i386-DVD

Fedora-10-x86_64-DVD: copy_or_link
	./copy_or_link Fedora-10/Fedora-10-x86_64-DVD.iso Fedora-10-x86_64-DVD
distclean::
	rm -f Fedora-10-x86_64-DVD

# -------
# FreeBSD
# -------

FreeBSD-7.0-i386-CD1: copy_or_link
	./copy_or_link FreeBSD-7.0-RELEASE/7.0-RELEASE-i386-disc1.iso $@
distclean::
	rm -f FreeBSD-7.0-i386-CD1

FreeBSD-7.0-amd64-CD1: copy_or_link
	./copy_or_link FreeBSD-7.0-RELEASE/7.0-RELEASE-amd64-disc1.iso $@
distclean::
	rm -f FreeBSD-7.0-amd64-CD1

FreeBSD-7.2-i386-DVD: copy_or_link
	./copy_or_link FreeBSD-7.2-RELEASE/7.2-RELEASE-i386-dvd1.iso $@
distclean::
	rm -f FreeBSD-7.2-i386-DVD

FreeBSD-7.2-amd64-DVD: copy_or_link
	./copy_or_link FreeBSD-7.2-RELEASE/7.2-RELEASE-amd64-dvd1.iso $@
distclean::
	rm -f FreeBSD-7.2-amd64-DVD

FreeBSD-11.1-i386-DVD: copy_or_link
	./copy_or_link FreeBSD-11.1-RELEASE/FreeBSD-11.1-RELEASE-i386-dvd1.iso $@
distclean::
	rm -f FreeBSD-11.1-i386-DVD

FreeBSD-11.1-amd64-DVD: copy_or_link
	./copy_or_link FreeBSD-11.1-RELEASE/FreeBSD-11.1-RELEASE-amd64-dvd1.iso $@
distclean::
	rm -f FreeBSD-11.1-amd64-DVD

# -------
# FreeDOS
# -------

FreeDOS-Beta8: copy_or_link
	./copy_or_link FreeDOS-Beta8/cd-1 FreeDOS-Beta8
distclean::
	rm -f FreeDOS-Beta8

FreeDOS-1.0-CD: copy_or_link
	./copy_or_link FreeDOS-1.0/fdfullcd.iso FreeDOS-1.0-CD
distclean::
	rm -f FreeDOS-1.0-CD

FreeDOS-1.1-CD: copy_or_link
	./copy_or_link FreeDOS-1.1/fd11src.iso FreeDOS-1.1-CD
distclean::
	rm -f FreeDOS-1.1-CD
	
# -----
# Minix
# -----

Minix3-1.2a-CD: copy_or_link
	./copy_or_link Minix3-1.2a/minix3_1_2a_ide_build2.iso $@
distclean::
	rm -f Minix3-1.2a-CD

# -----
# MSDOS
# -----

MSDOS-6.2-DSK-1: copy_or_link
	./copy_or_link MSDOS/dos-6.2-1.dsk $@
distclean::
	rm -f MSDOS-6.2-DSK-1

MSDOS-6.2-DSK-2: copy_or_link
	./copy_or_link MSDOS/dos-6.2-2.dsk $@
distclean::
	rm -f MSDOS-6.2-DSK-2

MSDOS-6.2-DSK-3: copy_or_link
	./copy_or_link MSDOS/dos-6.2-3.dsk $@
distclean::
	rm -f MSDOS-6.2-DSK-3

# ------------
# Windows 3.10
# ------------

Windows-3.10-DSK-1: copy_or_link
	./copy_or_link MSDOS/win-3.10-1.dsk $@
distclean::
	rm -f Windows-3.10-DSK-1

Windows-3.10-DSK-2: copy_or_link
	./copy_or_link MSDOS/win-3.10-2.dsk $@
distclean::
	rm -f Windows-3.10-DSK-2

Windows-3.10-DSK-3: copy_or_link
	./copy_or_link MSDOS/win-3.10-3.dsk $@
distclean::
	rm -f Windows-3.10-DSK-3

Windows-3.10-DSK-4: copy_or_link
	./copy_or_link MSDOS/win-3.10-4.dsk $@
distclean::
	rm -f Windows-3.10-DSK-4

Windows-3.10-DSK-5: copy_or_link
	./copy_or_link MSDOS/win-3.10-5.dsk $@
distclean::
	rm -f Windows-3.10-DSK-5

Windows-3.10-DSK-6: copy_or_link
	./copy_or_link MSDOS/win-3.10-6.dsk $@
distclean::
	rm -f Windows-3.10-DSK-6

Windows-3.10-DSK-7: copy_or_link
	./copy_or_link MSDOS/win-3.10-7.dsk $@
distclean::
	rm -f Windows-3.10-DSK-7

# ----
# OS/2
# ----

OS2-3.0-DSK-0: copy_or_link
	./copy_or_link OS2-3.0/disk0.dsk $@
distclean::
	rm -f OS2-3.0-DSK-0

OS2-3.0-DSK-1: copy_or_link

=== experiments/UltimateBootCD-2.31-int/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := ubcd231.iso
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd23-%: $(EXP_DIR)/generate.dir/ubcd23-%
	ln -sf $(EXP_DIR)/generate.dir/ubcd23-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/UltimateBootCD-2.31-jit/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := ubcd231.iso
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd23-%: $(EXP_DIR)/../UltimateBootCD-2.31-int/generate.dir/ubcd23-%
	ln -sf $(EXP_DIR)/../UltimateBootCD-2.31-int/generate.dir/ubcd23-$* generate
	ln -sf $(EXP_DIR)/../UltimateBootCD-2.31-int/pointers .
	ln -sf $(EXP_DIR)/../UltimateBootCD-2.31-int/screenshots .
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate
	$(RM) pointers
	$(RM) screenshots

clean distclean::
	$(RM) generate
	$(RM) pointers
	$(RM) screenshots

=== experiments/UltimateBootCD-3.2-int/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := ubcd32-full.iso \
		Caldera-2.4-CD-1
CHANGE_DISK_SIZE := 128
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd32-%: $(EXP_DIR)/generate.dir/ubcd32-%
	ln -sf $(EXP_DIR)/generate.dir/ubcd32-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/UltimateBootCD-3.2-jit/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := ubcd32-full.iso \
		Caldera-2.4-CD-1
CHANGE_DISK_SIZE := 128
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd32-%: $(EXP_DIR)/../UltimateBootCD-3.2-int/generate.dir/ubcd32-%
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.2-int/generate.dir/ubcd32-$* generate
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.2-int/pointers .
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.2-int/screenshots .
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate
	$(RM) pointers
	$(RM) screenshots

clean distclean::
	$(RM) generate
	$(RM) pointers
	$(RM) screenshots

=== experiments/UltimateBootCD-3.4-int/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := UltimateBootCD-3.4-full
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd34-%: $(EXP_DIR)/generate.dir/ubcd34-%
	ln -sf $(EXP_DIR)/generate.dir/ubcd34-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/UltimateBootCD-3.4-jit/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := UltimateBootCD-3.4-full
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd34-%: $(EXP_DIR)/../UltimateBootCD-3.4-int/generate.dir/ubcd34-%
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.4-int/generate.dir/ubcd34-$* generate
	ln -sf $(EXP_DIR)/../UltimateBootCD-3.4-int/screenshots .
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate
	$(RM) screenshots

clean distclean::
	$(RM) generate
	$(RM) screenshots

=== experiments/UltimateBootCD-4.1.1/Makefile ===
#
# Copyright (C) 2004-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := UltimateBootCD-4.1.1
CHANGE_DISK_SIZE := 32
CHANGE_MEM_SIZE := 64

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

ubcd411-%: $(EXP_DIR)/generate.dir/ubcd411-%
	if [ -d generate ]; then \
		echo "Please remove the stale generate directory"; \
		echo "E.g. by cvs -q up -PdA"; \
		echo "Bailing out."; \
		false; \
	fi
	ln -sf $(EXP_DIR)/generate.dir/ubcd411-$* generate
	$(MAKE) -f $(EXP_DIR)/Makefile experiment
	$(RM) generate

clean distclean::
	$(RM) generate

=== experiments/install-Debian-2.0r0-int/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := \
	Debian-2.0r0-CD-1
CHANGE_MEM_SIZE := 64
CHANGE_DISK_SIZE := 320

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

=== experiments/install-Debian-2.0r0-jit/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1.vhdl
CDROM_IMAGE := \
	Debian-2.0r0-CD-1
CHANGE_MEM_SIZE := 64
CHANGE_DISK_SIZE := 320

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

generate: $(EXP_DIR)/../install-Debian-2.0r0-int/generate
	ln -sf $^ generate

clean distclean::
	$(RM) generate

=== experiments/install-Debian-3.0r0-int/Makefile ===
#
# Copyright (C) 2017 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

SIMULATION_PC := pc-1-int.vhdl
CDROM_IMAGE := Debian-3.0r0-CD-1

include $(dir $(shell which faum))/../share/faumachine/vhdl/experiment.mk

=== debian/changelog ===
faumachine (20180503-4) unstable; urgency=medium

  * Team upload.
  * Correct 00-fix-desktop-file.patch:
    * Fix a typo.
    * Remove GNOME from categories, as FAUmachine doesn't depend on GNOME
      libraries.
    * Add StartupWMClass field to make GNOME 3 display FAUmachine's
      application icon at runtime.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sun, 11 Nov 2018 13:22:00 +0100

faumachine (20180503-3) unstable; urgency=medium

  [ Bruno "Fuddl" Kleinert]
  * Team upload.
  * Add myself to uploaders in accordance with Stefan.
  * Add lintian overrides for:
    * non-executable scripts and documentation outside /usr/share/doc scripts
      in faumachine-data
    * missing watch file in source package. Upstream releases are done by
      Stefan.
    * binaries that break if PIE was enabled.
  * Add debian/patches/00-fix-desktop-file.patch to add missing fields to
    faum.desktop.
  * Standards version 4.2.1: No changes required.
  * Move Built-Using field to binary package sections and extend debian/rules
    accordingly.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 05 Nov 2018 19:36:13 +0100

faumachine (20180503-2) unstable; urgency=medium

  * Cherry-pick upstream fixes for DBTS: 902459 (Closes: #902459):
    + Add 01-handle-R_X86_64_PLT32.patch to handle new relocations
      emitted by newer gcc/ld.
    + Add 02-new-iasl.patch to handle changed output of newer
      iasl versions.

 -- Stefan Potyra <stefan@potyra.de>  Fri, 03 Aug 2018 20:50:14 +0200

faumachine (20180503-1) unstable; urgency=medium

  * New upstream release, highlights:
    + Builds with newer gcc versions (Closes: #837450, #870934).
    + Many other improvements.
  * debian/control:
    + Update my email address.
    + Drop build dependency against esound (Closes: #856077).
    + Uncomment built-using again.
    + Update standards-version to 4.1.4, no further changes required.
    + Re-add homepage with temporary home (Closes: #789352).
    + Update faucc b-d version to draw in new FAUcc (needs
      argument support for no-pie).
    + Remove obsolete lpia architecture.
  * debian/compat: Bump to version 9 (still allow building on 
    oldstable).
  * debian/copyright: Refresh with autogenerated information from
    upstream.

 -- Stefan Potyra <stefan@potyra.de>  Mon, 07 May 2018 20:49:15 +0200

=== debian/control ===
Source: faumachine
Section: misc
Priority: optional
Maintainer: FAUmachine Team <faumachine@potyra.de>
Uploaders: Volkmar Sieh <volkmar.sieh@informatik.uni-erlangen.de>,
 Stefan Potyra <stefan@potyra.de>,
 Bruno "Fuddl" Kleinert <fuddl@tauware.de>
Standards-Version: 4.2.1
Build-Depends: libx11-dev, 
 debhelper (>> 5.0),
 flex,
 bison,
 fig2ps,
 imagemagick,
 libasound2-dev,
 libgtk2.0-dev,
 libpulse-dev,
 libtheora-dev,
 xmlto, 
 automake (>= 1.10),
 gcc-multilib [amd64] | libc6-dev-i386 [amd64],
 iasl,
 libfauhdli-dev (>= 20110812),
 faucc (>= 20180503),
 python
Homepage: http://faumachine.potyra.de/

Package: faumachine
Architecture: i386 amd64
Depends: ${shlibs:Depends},
 ${misc:Depends}, 
 faumachine-data (= ${source:Version}),
 zenity, 
 fauhdlc (>= 20110812)
Recommends: slirp
Built-Using: ${libfauhdli-dev:Built-Using}
Description: Virtual machine running in user mode
 FAUmachine is a virtual machine that can simulate PC hardware like QEMU.
 Its main focus is to simulate the real hardware as close as possible.
 .
 FAUmachine comes with the ability to inject faults to different hardware 
 simulators, e.g. to inject intermittent or transient faults to the simulated
 disk or the simulated memory.
 .
 FAUmachine also comes with an experiment controller, with which automated 
 tests, like installing an operating system from an iso image, can be run.

Package: faumachine-data
Architecture: all
Depends: ${misc:Depends}
Recommends: faumachine
Built-Using: ${libfauhdli-dev:Built-Using}
Description: Virtual machine running in user mode -- data files
 FAUmachine is a virtual machine that can simulate PC hardware like QEMU.
 Its main focus is to simulate the real hardware as close as possible.
 .
 FAUmachine comes with the ability to inject faults to different hardware 
 simulators, e.g. to inject intermittent or transient faults to the simulated
 disk or the simulated memory.
 .
 FAUmachine also comes with an experiment controller, with which automated 
 tests, like installing an operating system from an iso image, can be run.
 .
 This package contains the architecture independent data files.

=== debian/rules ===
#!/usr/bin/make -f
# (C) 2008-2010 FAUmachine team. GPL-2+.
#
# based on:
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

TARGET=$(CURDIR)/debian/tmp


configure: configure.ac
	dh_testdir
	./autogen.sh

config.status: configure
	dh_testdir
	./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--enable-build-userguide \
		--disable-prefix-search

build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

mrproper: clean
	rm -f debian/copyright

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cp copyright debian/copyright
	if [ -f Makefile ]; then make mrproper; else echo "No Makefile"; fi
	rm -rf debian/tmp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	make install DESTDIR=$(TARGET)

# nothing to do, no arch:all package built.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_lintian -i
	dh_compress -i --exclude=examples --exclude=.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i -- \
        '-Vlibfauhdli-dev:Built-Using=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libfauhdli-dev)'
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs -a NEWS
	dh_lintian -a
	dh_install -a --sourcedir=debian/tmp
	dh_strip -a
	dh_link -a
	dh_compress -a --exclude=examples --exclude=.pdf
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- \
        '-Vlibfauhdli-dev:Built-Using=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libfauhdli-dev)'
	dh_md5sums -a
	dh_builddeb -a

build-indep: build-stamp
build-arch: build-stamp
build: build-indep build-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install mrproper build-arch
.PHONY: build-indep
